Bug 169956 - A recent xorg update crashes some games in Cedega game emulator
A recent xorg update crashes some games in Cedega game emulator
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://transgaming.org/forum/viewtopi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 15:22 EDT by Brutus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 07:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brutus 2005-10-05 15:22:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; da-DK; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Fedora freezes when trying to play Steam games using the Cedega windows game emulator from TransGaming. Some people says that it's also happening to other games.
It's happening both using their GUI program called Point2Play, and the CLI emulator.
I think it's a hardware combination problem when using ATI's drivers.
I'm using the latest drivers and the latest FC4 kernel.

I've created a thread about it in TransGaming's forum here with more information:
http://transgaming.org/forum/viewtopic.php?p=23107

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Steam from www.steampowered.com using Cedega.
2. Doubleclick on a game.
3. The machine freezes completely, and restarting X don't even work.

Actual Results:  My computer freezes.

Expected Results:  The game should have started.

Additional info:

My computer:

Motherboard: ASUS A7V600
GFX card: ATI Radeon 9700 Pro
RAM: 2x512MB Kingston pc3200
Sound card: Creative SB Live! 5.1
Distro: 100% updated Fedora Core 4 with kernel 2.6.13-1.1526_FC4
Comment 1 Brutus 2005-10-05 15:27:27 EDT
Sorry, I also have an AMD Athlon XP 3200+ cpu... Forgot that :(
Comment 2 Mike A. Harris 2005-12-14 20:38:08 EST
Please file a bug report in X.Org bugzilla, at http://bugs.freedesktop.org
in the "xorg" component.  Attach your X server log and config file to the
new bug report as individual uncompressed file attachments, and describe
how to reproduce the issue as detailed as possible.

If you are using proprietary drivers however, you will need to contact ATI
directly for assistance as neither Red Hat nor X.Org provide support for
3rd party proprietary drivers.

Once you've filed your bug report to X.Org, please paste the URL here and
we will track the issue in the upstream bugzilla.

Thanks in advance.

Setting status to "NEEDINFO_REPORTER" and awaiting upstream bug URL.
Comment 3 Mike A. Harris 2006-01-20 07:58:05 EST
This problem contains insufficient information to diagnose the issue, and
no response to our above request.

Without a response to our request above, we are unable to further track
or diagnose this issue at this time.  If this issue still occurs, please
follow the suggestion in comment #2 and update this bug report with the
URL of your X.Org bug report, and reopen it, and we will track the issue
in the X.Org bugzilla.

Setting status to "CANTFIX"

Note You need to log in before you can comment on or make changes to this bug.